BaseLanguageSourceSet (Gradle API 4.5.1)
Date: 2018-02-05

org.gradle.language.base.sources

## Class BaseLanguageSourceSet

- java.lang.Object
- - org.gradle.platform.base.component.internal.AbstractComponentSpec
  - - org.gradle.api.internal.AbstractBuildableComponentSpec
    - - org.gradle.language.base.internal.AbstractLanguageSourceSet
      - - org.gradle.language.base.sources.BaseLanguageSourceSet

- All Implemented Interfaces:
    Buildable, BuildableComponentSpec, CheckableComponentSpec, Named, org.gradle.language.base.internal.LanguageSourceSetInternal, LanguageSourceSet, ModelElement, ComponentSpec, org.gradle.platform.base.internal.ComponentSpecInternal

      @Incubating
      public class BaseLanguageSourceSet
      extends org.gradle.language.base.internal.AbstractLanguageSourceSet

  Base class that may be used for custom `LanguageSourceSet` implementations. However, it is generally better to use an interface annotated with `Managed` and not use an implementation class at all.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gradle.api.internal.file.SourceDirectorySetFactory` | `sourceDirectorySetFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseLanguageSourceSet()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends LanguageSourceSet> T` | `create(Class<? extends LanguageSourceSet> publicType, Class<T> implementationType, org.gradle.platform.base.internal.ComponentSpecIdentifier componentId, org.gradle.api.internal.file.SourceDirectorySetFactory sourceDirectorySetFactory)`

    - ### Methods inherited from class org.gradle.language.base.internal.AbstractLanguageSourceSet

      `builtBy, generatedBy, getDisplayName, getGeneratorTask, getLanguageName, getMayHaveSources, getParentName, getProjectScopedName, getSource`

    - ### Methods inherited from class org.gradle.api.internal.AbstractBuildableComponentSpec

      `checkedBy, getBuildDependencies, getBuildTask, getCheckTask, hasBuildDependencies, setBuildTask, setCheckTask`

    - ### Methods inherited from class org.gradle.platform.base.component.internal.AbstractComponentSpec

      `getIdentifier, getName, getProjectPath, getTypeName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getName`

- - ### Field Detail

    - #### sourceDirectorySetFactory

          protected final org.gradle.api.internal.file.SourceDirectorySetFactory sourceDirectorySetFactory

  - ### Constructor Detail

    - #### BaseLanguageSourceSet

          public BaseLanguageSourceSet()

  - ### Method Detail

    - #### create

          public static <T extends LanguageSourceSet> T create(Class<? extends LanguageSourceSet> publicType,
                                                               Class<T> implementationType,
                                                               org.gradle.platform.base.internal.ComponentSpecIdentifier componentId,
                                                               org.gradle.api.internal.file.SourceDirectorySetFactory sourceDirectorySetFactory)